version: "3.7"
services:
  checker:
    image: s4femap_checker
    container_name: s4femap_checker_service
    build:
      context: .
      dockerfile: ./Dockerfile
    networks:
      s4femapnet:
        ipv4_address: 192.168.50.5
    ports:
      - 8081:8081
    deploy:
      resources:
        limits:
          cpus: "0.50"
          memory: 400M

networks:
  s4femapnet:
    driver: bridge
    name: s4femapnet
    ipam:
      driver: default
      config:
        - subnet: 192.168.50.0/24
